## sidekick
Class SideKickPlugin

    java.lang.Object
      org.gjt.sp.jedit.EditPlugin
          org.gjt.sp.jedit.EBPlugin
              sidekick.SideKickPlugin

All Implemented Interfaces:
  EBComponent

public class SideKickPlugin
extends EBPlugin

SideKick plugin core which tracks registered parsers.

Version:
  $Id: SideKickPlugin.java,v 1.33 2006/06/20 04:15:56 ezust Exp $

Nested Class Summary

Nested classes inherited from class org.gjt.sp.jedit.EditPlugin
`EditPlugin.Broken, EditPlugin.Deferred`

Field Summary
`static String` `PARSE_COUNT`
`static String` `PARSED_DATA_PROPERTY`
`static String` `PARSER_PROPERTY`

Constructor Summary
`SideKickPlugin()`

Method Summary
`static void` `addWorkRequest(Runnable run, boolean inAWT)` Returns the error source used by the given view.
`static SideKickParser` `getParser(String name)`
`static SideKickParser` `getParserForBuffer(Buffer buffer)`
`static SideKickParser` `getParserForView(View view)`
`void` `handleMessage(EBMessage msg)`
`static boolean` `isParsingBuffer(Buffer buffer)`
`static void` `parse(View view, boolean showParsingMessage)` Immediately begins parsing the current buffer in a background thread.
`static void` `registerParser(SideKickParser parser)` Deprecated. Write a `services.xml` file instead.
`static void` `setParserForBuffer(Buffer buffer, String parserName)`
`void` `start()`
`void` `stop()`
`static void` `unregisterParser(SideKickParser parser)` Deprecated. Write a `services.xml` file instead.

Methods inherited from class org.gjt.sp.jedit.EditPlugin
`createBrowserMenuItems, createMenuItems, createMenuItems, createOptionPanes, getClassName, getPluginJAR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARSER_PROPERTY

    public static final String PARSER_PROPERTY

See Also:
  Constant Field Values

### PARSED_DATA_PROPERTY

    public static final String PARSED_DATA_PROPERTY

See Also:
  Constant Field Values

### PARSE_COUNT

    public static final String PARSE_COUNT

See Also:
  Constant Field Values

Constructor Detail

### SideKickPlugin

    public SideKickPlugin()

Method Detail

### start

    public void start()

### stop

    public void stop()

### handleMessage

    public void handleMessage(EBMessage msg)

### registerParser

    public static void registerParser(SideKickParser parser)

  Deprecated. Write a `services.xml` file instead.

  See Also:
    `SideKickParser`

### unregisterParser

    public static void unregisterParser(SideKickParser parser)

  Deprecated. Write a `services.xml` file instead.

  See Also:
    `SideKickParser`

### getParser

    public static SideKickParser getParser(String name)

### getParserForView

    public static SideKickParser getParserForView(View view)

### setParserForBuffer

    public static void setParserForBuffer(Buffer buffer,
                                          String parserName)

### getParserForBuffer

    public static SideKickParser getParserForBuffer(Buffer buffer)

### parse

    public static void parse(View view,
                             boolean showParsingMessage)

  Immediately begins parsing the current buffer in a background thread.

  Parameters:
    `view` - The view
    `showParsingMessage` - Clear the tree and show a status message there?

### addWorkRequest

    public static void addWorkRequest(Runnable run,
                                      boolean inAWT)

  Returns the error source used by the given view.

  Since:
    SideKick 0.3

### isParsingBuffer

    public static boolean isParsingBuffer(Buffer buffer)